﻿<Window x:Class="briteapp.LoginWin"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:briteapp"
        mc:Ignorable="d"
        xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
        TextElement.Foreground="{DynamicResource MaterialDesignBody}"
        Background="{DynamicResource MaterialDesignPaper}"
        TextElement.FontWeight="Medium"
        TextElement.FontSize="15"
        FontFamily="{materialDesign:MaterialDesignFont}"
        Title="BRITE | Login" Height="720" Width="1280" WindowStartupLocation="CenterOwner" WindowState="Maximized" MinHeight="675" MinWidth="1200">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="70"/>
            <RowDefinition/>
        </Grid.RowDefinitions>
        <DockPanel Grid.Row="0" LastChildFill="False" Margin="40 0" VerticalAlignment="Center">
            <TextBlock Text="brite." FontSize="30" FontFamily="Quicksand Bold"/>
            <Button Style="{StaticResource MaterialDesignOutlinedButton}" Content="Login" DockPanel.Dock="Right"/>
            <TextBlock Text="Register" DockPanel.Dock="Right" VerticalAlignment="Center" Margin="20 0" Foreground="{StaticResource MainColor}"/>
        </DockPanel>
        <Viewbox Grid.Row="1" Stretch="Uniform" StretchDirection="Both">
            <StackPanel MinWidth="1000" Margin="120 40 120 40">
                <TextBlock Text="Register account"  Style="{StaticResource MaterialDesignHeadline3TextBlock}" HorizontalAlignment="Center"/>
                <TextBlock Text="Please fill in all required fields" HorizontalAlignment="Center" FontWeight="Light" Margin="0 10" FontSize="16"/>
                <Grid Margin="0 35">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition/>
                        <ColumnDefinition/>
                    </Grid.ColumnDefinitions>
                    <StackPanel Grid.Column="0" Margin="0 0 10 0">
                        <TextBlock x:Name="pDet" Text="1. Personal Details" HorizontalAlignment="Left" Margin="0 10" Foreground="{StaticResource MainColor}" FontSize="16"/>
                        <Rectangle x:Name="pDetBor" Fill="{StaticResource MainColor}" Height="10"/>
                    </StackPanel>
                    <StackPanel Grid.Column="1" Margin="10 0 0 0">
                        <TextBlock x:Name="oDet" Text="2. Other Details" HorizontalAlignment="Left" Margin="0 10" Foreground="{StaticResource DisabledColor}" FontSize="16"/>
                        <Rectangle x:Name="oDetBor" Fill="{StaticResource DisabledColor}" Height="10"/>
                    </StackPanel>
                </Grid>
                <Border x:Name="FirstBorder" Visibility="Visible" CornerRadius="10" BorderThickness="1.5" BorderBrush="LightGray" Padding="30">
                    <Grid>
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition/>
                            <ColumnDefinition/>
                        </Grid.ColumnDefinitions>
                        <StackPanel Grid.Column="0" Margin="0 0 10 0">
                            <TextBlock Text="First Name" FontSize="16" Margin="10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <TextBox Margin="0" Foreground="#DD515151" materialDesign:HintAssist.Hint="John" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}"/>
                            </Border>
                            <TextBlock Text="Roll No." FontSize="16" Margin="10 10 10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <TextBox Margin="0" Foreground="#DD515151" materialDesign:HintAssist.Hint="AM.EN.U4XXXXXXXX" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}"/>
                            </Border>
                        </StackPanel>
                        <StackPanel Grid.Column="1" Margin="10 0 0 0">
                            <TextBlock Text="Account Type" FontSize="16" Margin="10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <ComboBox Style="{StaticResource MaterialDesignComboBox}" Margin="0" Foreground="#DD515151" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}">
                                    <ComboBoxItem IsSelected="True">
                                        Student
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        Teacher
                                    </ComboBoxItem>
                                </ComboBox>
                            </Border>
                            <TextBlock Text="Semester" FontSize="16" Margin="10 10 10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <ComboBox x:Name="SemDrop" Style="{StaticResource MaterialDesignComboBox}" Margin="0" Foreground="#DD515151" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}">
                                    <ComboBoxItem IsSelected="True">
                                        1
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        2
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        3
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        4
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        5
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        6
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        7
                                    </ComboBoxItem>
                                    <ComboBoxItem>
                                        8
                                    </ComboBoxItem>
                                </ComboBox>
                            </Border>
                            <Button Style="{StaticResource MaterialDesignOutlinedButton}" x:Name="FirstBordNextBtn" Click="FirstBordNextBtn_Click" Content="CONTINUE" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                        </StackPanel>
                    </Grid>
                </Border>
                <Border x:Name="SecondBorder" Visibility="Collapsed" CornerRadius="10" BorderThickness="1.5" BorderBrush="LightGray" Padding="30">
                    <Grid>
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition/>
                            <ColumnDefinition/>
                        </Grid.ColumnDefinitions>
                        <StackPanel x:Name="MondaySection" Grid.Column="0" Margin="0 0 10 0">
                            <TextBlock Text="Monday" FontSize="16" Margin="10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <ComboBox x:Name="MonSubList" IsEditable="False" SelectionChanged="MonSubList_SelectionChanged" Style="{StaticResource MaterialDesignComboBox}" materialDesign:HintAssist.Hint="Choose Subject" Margin="0" Foreground="#DD515151" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}">
                                    
                                </ComboBox>
                            </Border>
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition/>
                                    <ColumnDefinition/>
                                </Grid.ColumnDefinitions>
                                <materialDesign:TimePicker Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="0 10 5 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="From Time"/>
                                <materialDesign:TimePicker Grid.Column="1" Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="5 10 0 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="To Time"/>
                            </Grid>
                            <Button x:Name="MonNextBtn" Click="MonNextBtn_Click" Style="{StaticResource MaterialDesignOutlinedButton}" Content="NEXT" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                        </StackPanel>
                        <StackPanel Visibility="Collapsed" x:Name="TuesdaySection" Grid.Column="0" Margin="0 0 10 0">
                            <TextBlock Text="Tuesday" FontSize="16" Margin="10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <ComboBox x:Name="TueSubList" IsEditable="False" SelectionChanged="TueSubList_SelectionChanged" Style="{StaticResource MaterialDesignComboBox}" materialDesign:HintAssist.Hint="Choose Subject" Margin="0" Foreground="#DD515151" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}">

                                </ComboBox>
                            </Border>
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition/>
                                    <ColumnDefinition/>
                                </Grid.ColumnDefinitions>
                                <materialDesign:TimePicker Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="0 10 5 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="From Time"/>
                                <materialDesign:TimePicker Grid.Column="1" Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="5 10 0 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="To Time"/>
                            </Grid>
                            <DockPanel LastChildFill="False">
                                <Button x:Name="TueNextBtn" Click="TueNextBtn_Click" DockPanel.Dock="Right" Style="{StaticResource MaterialDesignOutlinedButton}" Content="NEXT" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                                <Button x:Name="TeuPrevBtn" Click="TeuPrevBtn_Click" DockPanel.Dock="Right" Style="{StaticResource MaterialDesignOutlinedButton}" Content="PREV" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                            </DockPanel>
                        </StackPanel>
                        <StackPanel Visibility="Collapsed" x:Name="WedSection" Grid.Column="0" Margin="0 0 10 0">
                            <TextBlock Text="Wednesday" FontSize="16" Margin="10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <ComboBox x:Name="WedSubList" IsEditable="False" SelectionChanged="WedSubList_SelectionChanged" Style="{StaticResource MaterialDesignComboBox}" materialDesign:HintAssist.Hint="Choose Subject" Margin="0" Foreground="#DD515151" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}">

                                </ComboBox>
                            </Border>
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition/>
                                    <ColumnDefinition/>
                                </Grid.ColumnDefinitions>
                                <materialDesign:TimePicker Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="0 10 5 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="From Time"/>
                                <materialDesign:TimePicker Grid.Column="1" Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="5 10 0 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="To Time"/>
                            </Grid>
                            <DockPanel LastChildFill="False">
                                <Button x:Name="WedNextBtn" Click="WedNextBtn_Click" DockPanel.Dock="Right" Style="{StaticResource MaterialDesignOutlinedButton}" Content="NEXT" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                                <Button x:Name="WedPrevBtn" Click="WedPrevBtn_Click" DockPanel.Dock="Right" Style="{StaticResource MaterialDesignOutlinedButton}" Content="PREV" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                            </DockPanel>
                        </StackPanel>
                        <StackPanel Visibility="Collapsed" x:Name="ThursSection" Grid.Column="0" Margin="0 0 10 0">
                            <TextBlock Text="Thursday" FontSize="16" Margin="10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <ComboBox x:Name="ThuSubList" IsEditable="False" SelectionChanged="ThuSubList_SelectionChanged" Style="{StaticResource MaterialDesignComboBox}" materialDesign:HintAssist.Hint="Choose Subject" Margin="0" Foreground="#DD515151" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}">

                                </ComboBox>
                            </Border>
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition/>
                                    <ColumnDefinition/>
                                </Grid.ColumnDefinitions>
                                <materialDesign:TimePicker Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="0 10 5 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="From Time"/>
                                <materialDesign:TimePicker Grid.Column="1" Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="5 10 0 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="To Time"/>
                            </Grid>
                            <DockPanel LastChildFill="False">
                                <Button x:Name="ThuNextBtn" Click="ThuNextBtn_Click" DockPanel.Dock="Right" Style="{StaticResource MaterialDesignOutlinedButton}" Content="NEXT" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                                <Button x:Name="ThuPrevBtn" Click="ThuPrevBtn_Click" DockPanel.Dock="Right" Style="{StaticResource MaterialDesignOutlinedButton}" Content="PREV" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                            </DockPanel>
                        </StackPanel>
                        <StackPanel Visibility="Collapsed" x:Name="FriSection" Grid.Column="0" Margin="0 0 10 0">
                            <TextBlock Text="Friday" FontSize="16" Margin="10 0"/>
                            <Border Padding="20 10" Height="60" Margin="0 10" CornerRadius="15" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2">
                                <ComboBox x:Name="FriSubList" IsEditable="False" SelectionChanged="FriSubList_SelectionChanged" Style="{StaticResource MaterialDesignComboBox}" materialDesign:HintAssist.Hint="Choose Subject" Margin="0" Foreground="#DD515151" FontSize="16" VerticalAlignment="Center" BorderThickness="0" BorderBrush="{x:Null}">

                                </ComboBox>
                            </Border>
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition/>
                                    <ColumnDefinition/>
                                </Grid.ColumnDefinitions>
                                <materialDesign:TimePicker Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="0 10 5 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="From Time"/>
                                <materialDesign:TimePicker Grid.Column="1" Style="{StaticResource MaterialDesignOutlinedTimePicker}" VerticalAlignment="Center" FontSize="16" Margin="5 10 0 10" BorderBrush="{StaticResource DisabledColor}" BorderThickness="2" materialDesign:HintAssist.Hint="To Time"/>
                            </Grid>
                            <Button x:Name="FriPrevBtn" Click="FriPrevBtn_Click" Style="{StaticResource MaterialDesignOutlinedButton}" Content="PREV" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>
                        </StackPanel>
                        <WrapPanel x:Name="QuickViewPnl" Grid.Column="1" Margin="10 0 0 0">
                            
                        </WrapPanel>
                        <!--<Button Style="{StaticResource MaterialDesignOutlinedButton}" Content="CONTINUE" VerticalAlignment="Bottom" HorizontalAlignment="Right" Margin="10 20 0 0"/>-->
                    </Grid>
                </Border>
            </StackPanel>
        </Viewbox>
    </Grid>
</Window>
